repos:
  - repo: https://github.com/astral-sh/ruff-pre-commit
    # Ruff version.
    rev: v0.0.282
    hooks:
      - id: ruff
        args: [--fix, --exit-non-zero-on-fix]
  - repo: https://github.com/ambv/black
    rev: 23.7.0
    hooks:
    - id: black
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
      - id: check-ast
      - id: check-docstring-first
      - id: check-executables-have-shebangs
      - id: check-merge-conflict
      - id: check-symlinks
      - id: debug-statements
      - id: trailing-whitespace
      - id: check-yaml
        args: [--allow-multiple-documents]
      - id: mixed-line-ending
      - id: name-tests-test
        args: ['--django']
      - id: check-json
      - id: requirements-txt-fixer
      - id: end-of-file-fixer
      - id: mixed-line-ending
  - repo: https://github.com/codespell-project/codespell
    rev: v2.2.5
    hooks:
      - id: codespell
        args: ['--write-changes']
  - repo: https://github.com/PyCQA/doc8
    rev: v1.1.1
    hooks:
      - id: doc8
  - repo: meta
    hooks:
      - id: check-useless-excludes
  - repo: https://github.com/executablebooks/mdformat
    rev: 0.7.16
    hooks:
    - id: mdformat
      exclude: tests/data/analyze
      # Optionally add plugins
      additional_dependencies:
      - mdformat-mkdocs[recommended]
